<?php if ( post_password_required() ) : ?>
	<div id="comments">
		<p class="nopassword">This post is password protected. Enter the password to view comments.</p>
	</div><!-- #comments -->
<?php return; endif; ?>

<?php /* If there are no comments yet AND the comments are closed, don't display 
anything at all */
if ( have_comments() OR comments_open() ) : ?>
	<div id="comments">

		<?php if ( have_comments() ) : ?>
			<h2 id="comments-title">
				<?php comments_number('No comments yet', '1 comment', '% comments'); ?>
			</h2>
				
			<?php $paginateCommentsLinks = paginate_comments_links("echo=0"); 
if ($paginateCommentsLinks != "") { ?>
<div class="commentnav" id="commentnav1">
     <?php echo $paginateCommentsLinks; ?>
</div>
<?php } ?>

			<ul class="commentlist">
				<?php wp_list_comments(array(
					"avatar_size" => 50,
					"reply_text" => " &middot; Reply",
					"login_text" => " &middot; Reply",
					"callback" => "tf_one_comment", 
					"type" => "all"
				)); ?>
			</ul>

			<?php $paginateCommentsLinks = paginate_comments_links("echo=0"); 
if ($paginateCommentsLinks != "") { ?>
<div class="commentnav" id="commentnav1">
     <?php echo $paginateCommentsLinks; ?>
</div>
<?php } ?>
			
		<?php endif; // End 'have_comments' ?>

		<?php /* 'comments closed' only displayed if there are existing comments, 
		but comments are now closed */
		if ( ! comments_open() ) :  ?>

			<p class="nocomments">Comments are closed.</p>

		<?php else: // Comments are open, display form: ?>

			<?php global $aria_req, $post_id, $required_text; // These values aren't available else:

			// author, email and url fields are set in a separate variable first:
			$fields =  array(
				'author' => '<p><input class="text author" id="comment-author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' tabindex="1" />' 
							. '&nbsp;&nbsp;<label for="author"><strong>Author</strong>' . ( $req ? ' (required)' : '' ) . '</label></p>',
				'email'  => '<p><input class="text email" id="comment-email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . '  tabindex="2" />' . 
							'&nbsp;&nbsp;<label for="email"><strong>Email</strong>' . ( $req ? ' (will not be published)(required)' : '' ) . '</label></p>',
				'url'    => '<p><input class="text url" id="comment-url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30"  tabindex="3" />' . 
							'&nbsp;&nbsp;<label for="url">Website</label></p>'
			); 

			// The rest is set here:
			$comment_form_settings = array(
				'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
				'comment_field'        => '<p><textarea name="comment" id="comment-form" rows="10" cols="60" tabindex="4"></textarea></p>',
				'must_log_in'          => '<p class="must-log-in">' .  sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
				'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
				'comment_notes_before' => '<p class="thesetags">You can use these HTML tags:</p><p class="xhtml-tags"><code>' . allowed_tags() . '</code></p>',
				'comment_notes_after'  => '',
				'id_form'              => 'commentform',
				'id_submit'            => 'submit',
				'title_reply'          => 'Leave a Comment',
				'title_reply_to'       => 'Leave a Reply to %s',
				'cancel_reply_link'    => 'Cancel Reply',
				'label_submit'         => 'Post Comment'
			);

			comment_form($comment_form_settings); ?>
		<?php endif; // End 'comments open, display form ?>

	</div><!-- #comments -->
<?php endif; // End 'if have comments' OR 'comments open' ?>