<?php 

	function tf_widgets_init() {
		foreach( array( 'sideleft', 'sideright', 'WidgetArea-1', 'Slideshow', 'grid-wa-4-col1', 'grid-wa-4-col2', 'grid-wa-4-col3', 'grid-wa-4-col4' ) as $name ) {
			register_sidebar( array(
				"name" => $name, 
				"id" => strtolower( str_replace( " ", "", $name ) ),
				"before_widget" => '<div id="%1$s" class="widget %2$s">', 
				"after_widget" => "</div>", 
				"before_title" => "<h3><span>", 
				"after_title" => "</span><i></i></h3>"
			));
		}
	}
	add_action( "widgets_init", "tf_widgets_init" );
	
function tf_pagemenu() {
	echo '<div class="hormenu clearfix"><ul class="nav">';
	wp_list_pages( "title_li=" );
	echo '</ul></div>';
}

function tf_catmenu() {
	echo '<div class="hormenu2 clearfix"><ul class="nav2">';
	wp_list_categories( "title_li=" );
	echo '</ul></div>';
}

function tf_enqueue_js_frontend() {
	if( !is_admin() ) { 
		wp_enqueue_script( "jquery" );
		wp_enqueue_script( "my_javascript", get_template_directory_uri() . "/javascript.js", array("jquery"), "1.0" );

	}
}
add_action( "wp_enqueue_scripts", "tf_enqueue_js_frontend" ); 

// Excerpt Length:
function tf_excerpt_length( $length ) {
	return 55;
}
add_filter( "excerpt_length", "tf_excerpt_length" );

// Excerpt Read More:
function tf_excerpt_more( $more ) {
	global $post;
	return str_replace( array( "%title%", "%url%" ), 
						array( the_title( "", "", FALSE ), get_permalink( $post->ID ) ), 
						" [...] &rarr; Continue Reading <a href=\"%url%\">%title%</a>" );
}
add_filter( "excerpt_more", "tf_excerpt_more" );

// Manual Excerpt Read More:
function tf_custom_excerpt_more( $output ) {
	if( has_excerpt() && ! is_attachment() ) {
		$output .= str_replace( array( "%title%", "%url%" ), 
								array( the_title( "", "", FALSE ), esc_url( get_permalink() ) ), 
								" [...] &rarr; Continue Reading <a href=\"%url%\">%title%</a>" );
	}
	return $output;
}
add_filter( "get_the_excerpt", "tf_custom_excerpt_more" );


function tf_theme_setup() {
	add_theme_support( "post-thumbnails" );
	set_post_thumbnail_size( 200, 200, true );
	add_image_size( "single-post-thumbnail", 400, 9999 ); // Permalink thumbnail size
	add_theme_support( "automatic-feed-links" );
	register_nav_menus( array( "menu1" => __( "Menu 1" ), "menu2" => __( "Menu 2" ) ) );
}
add_action( "after_setup_theme", "tf_theme_setup" );

function tf_link_post_thumbnails_to_post( $html, $post_id, $post_image_id ) {
	$html = '<a href="' . get_permalink( $post_id ) . '" title="' . 
		esc_attr( get_post_field( 'post_title', $post_id ) ) . '">' . $html . '</a>';
	return $html;
}
add_filter( "post_thumbnail_html", "tf_link_post_thumbnails_to_post", 10, 3 );

// Not used but required to have by the wordpress.org theme check 
if ( ! isset( $content_width ) )
	$content_width = 640;

 
// Breadcrumbs

function tf_breadcrumbs_legacy() {

	global $post, $wp_query, $author;
	
	$home = "Home"; 
	$separator = "&raquo;";
	$before = "<span class=current>"; 
	$after = "</span>"; 

	if ( is_home() OR is_front_page() )  { $separator = ""; }

	// echo '<span class="bc-home"><a href="' . home_url() . '">' . $home . '</a></span> ' . $separator . ' ';
	echo '<span class="bc-home"><a href="' . home_url() . '" title="'; 
	bloginfo('name'); 
	echo '">' . $home . '</a></span> ' . $separator . ' ';
	
	if ( is_category() ) {
		$cat_obj = $wp_query->get_queried_object();
		$thisCat = $cat_obj->term_id;
		$thisCat = get_category($thisCat);
		$parentCat = get_category($thisCat->parent);
		if ($thisCat->parent != 0) 
			echo get_category_parents($parentCat, TRUE,  " $separator ");
		echo $before . single_cat_title("", false) . $after;
		
	} elseif ( is_day() ) {
		echo '<a href="' . get_year_link(get_the_time("Y")) . '">' . get_the_time("Y") . '</a> ' . $separator . ' ';
		echo '<a href="' . get_month_link(get_the_time("Y"),get_the_time("m")) . '">' . get_the_time("F") . '</a> ' . $separator . ' ';
		echo $before . get_the_time("d") . $after;
		
	} elseif ( is_month() ) {
		echo '<a href="' . get_year_link(get_the_time("Y")) . '">' . get_the_time("Y") . '</a> ' . $separator . ' ';
		echo $before . get_the_time("F") . $after;
		
	} elseif ( is_year() ) {
		echo $before . get_the_time("Y") . $after;
		
	} elseif ( is_single() AND !is_attachment() ) {
		if ( get_post_type() != 'post' ) {
			$post_type = get_post_type_object(get_post_type());
			$slug = $post_type->rewrite;
			echo '<a href="' . home_url() . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a> ' . $separator . ' ';
			echo $before . the_title('','',false) . $after;
		} else {
			$cat = get_the_category(); $cat = $cat[0];
			echo get_category_parents($cat, TRUE, " $separator ");
			echo $before . the_title('','',false) . $after;
		}
		
	} elseif ( !is_single() AND !is_page() AND get_post_type() != 'post' ) {
		$post_type = get_post_type_object(get_post_type());
		echo $before . $post_type->labels->singular_name . $after;
		
	} elseif ( is_attachment() ) {
		$parent = get_post($post->post_parent);
		$cat = get_the_category($parent->ID); $cat = $cat[0];
		echo get_category_parents($cat, TRUE, " $separator ");
		echo '<a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a> ' . $separator . ' ';
		echo $before . the_title('','',false) . $after;
		
	} elseif ( is_page() AND !$post->post_parent ) {
		echo $before . the_title('','',false) . $after;
		
	} elseif ( is_page() AND $post->post_parent ) {
		$parent_id  = $post->post_parent;
		$breadcrumbs = array();
		while ($parent_id) {
			$page = get_page($parent_id);
			$breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
			$parent_id  = $page->post_parent;
		}
		$breadcrumbs = array_reverse($breadcrumbs);
		foreach ($breadcrumbs as $singleCrumb) { 
			echo "$singleCrumb $separator ";
		}
		echo $before . the_title('','',false) . $after;
		
	} elseif ( is_search() ) {
		echo $before . 'Search results for "' . get_search_query() . '"' . $after;
		
	} elseif ( is_tag() ) {
		echo $before . 'Posts tagged "' . single_tag_title("", false) . '"' . $after;
		
	} elseif ( is_author() ) {
		$userdata = get_userdata($author);
		echo $before . 'Articles posted by ' . $userdata->display_name . $after;
		
	} elseif ( is_404() ) {
		echo $before . 'Error 404' . $after;
	}

	if ( get_query_var('paged') ) {
		echo ' ' . $separator . ' Page ' . get_query_var('paged');
	}
}

 
function tf_comment_delete_link( $text = '' ) { 
	$id = get_comment_ID();
	if( current_user_can( 'edit_post' ) ) 
		echo '<a class="comment-delete" href="' . admin_url("comment.php?action=cdc&c=$id") . '">' . $text . '</a>';    
}
function tf_comment_spam_link( $text = '' ) { 
	$id = get_comment_ID();
	if( current_user_can( 'edit_post' ) ) 
		echo '<a class="comment-spam" title="" href="' . admin_url("comment.php?action=cdc&dt=spam&c=$id") . '">' . $text . '</a>';  
}
function tf_comment_permalink( $text = 'Permalink' ) {
	echo '<a class="comment-permalink" href="' . esc_url( get_comment_link( get_comment_ID() ) ) . '">' . $text . '</a>';
}

function tf_one_comment($comment, $args, $depth) {
	$GLOBALS["comment"] = $comment; ?>
	<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
		<article>
			<header>
				<?php if ($args["avatar_size"] != 0) 
					echo get_avatar( $comment, $args["avatar_size"] ); 
					
						/*
						$avatar_size = 68;
						if ( '0' != $comment->comment_parent )
							$avatar_size = 39;
						echo get_avatar( $comment, $avatar_size );
						*/
				?>
				<span class="comment-author">
					<?php comment_author_link(); ?>
				</span>
				<?php tf_comment_permalink(); ?>
				<time class="comment-date" pubdate datetime="<?php echo get_comment_time( 'c' ); ?>"><?php 
					echo get_comment_date() . ' &mdash; ' . get_comment_time(); 
				?></time>
				<?php edit_comment_link(__("Edit")); ?> 
				<?php tf_comment_delete_link(__("Delete")); ?>
				<?php tf_comment_spam_link(__("Spam")); ?>

				
			</header>
			<div>
				<?php comment_text() ?>
				<?php if ($comment->comment_approved == "0") : ?>
					<p class="comment-awaiting-moderation">
						<?php _e("Your comment is awaiting moderation.") ?>
					</p>
				<?php endif; ?>
			</div>
			<footer>
				<?php echo comment_reply_link(array(
				"reply_text" => "Reply", 
				"depth" => $depth, 
				"max_depth" => $args["max_depth"] 
				)); ?>
			</footer>
		</article>
	<?php
}
?>