<?php /*
Template Name: page
*/ ?>
<!DOCTYPE html>
<?php global $is_IE; if( $is_IE ): ?>
<!--[if lt IE 7 ]><html class="ie6" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 7 ]><html class="ie7" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 8 ]><html class="ie8 notie67" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 9 ]><html class="ie9 notie67" <?php language_attributes(); ?>><![endif]-->
<!--[if (gt IE 9)]><html class="notie67" <?php language_attributes(); ?>><![endif]-->
<?php else: ?>
<html class="notie67" <?php language_attributes(); ?>>
<?php endif; ?>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<?php if( $is_IE ): ?>
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<?php endif; ?>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title><?php
	global $page, $paged;
	wp_title( '&laquo;', true, 'right' ); bloginfo( 'name' );
	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) ) echo " | $site_description";
	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 ) echo ' | ' . sprintf( __( 'Page %s', 'twentyeleven' ), max( $paged, $page ) );
?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
<?php if( $is_IE ): ?>
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5shiv.js" type="text/javascript"></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/respond.js" type="text/javascript"></script>
<![endif]-->
<?php endif; ?>
</head>
<body <?php body_class("page"); ?>>
<div id="header-bg">

		<div id="header" class="lw">
			<div class="widgetarea" id="widgetarea1">
	<?php dynamic_sidebar("WidgetArea-1"); ?>
</div><div class="widgetarea" id="slideshow">
	<?php dynamic_sidebar("Slideshow"); ?>
	<?php if ( function_exists( 'meteor_slideshow' ) ) { meteor_slideshow(); } ?>
</div><?php wp_nav_menu( array( 
"theme_location" => "menu1", 
"container" => "div", 
// "container_id" => "hormenu",
"container_class" => "hormenu clearfix", 
// "menu_id" => "nav",
"menu_class" => "nav",
"fallback_cb" => "tf_pagemenu",
) ); ?><?php if ( function_exists("tf_breadcrumbs_legacy") ) { ?>
<div class="breadcrumbs" id="breadcrumbs1">
	<?php tf_breadcrumbs_legacy(); ?>
</div>
<?php } ?>
		</div>
		
</div>
<div id="main-bg">
<div id="main" class="row">
<div id="content" class="push3 col7">

			<?php global $wp_query; if ( $wp_query->max_num_pages > 1 ) : // Display only if more than 1 page: ?>
	<div class="multinav-paginated clearfix">
	<?php $big = 999999999; // need an unlikely integer
	echo paginate_links( array(
		'base' => str_replace( $big, '%#%', get_pagenum_link( $big ) ),
		'format' => '?paged=%#%',
		'current' => max( 1, get_query_var('paged') ),
		'total' => $wp_query->max_num_pages
	) ); ?>
	<i></i></div>
<?php endif; ?>
			<?php if( have_posts() ) : ?>
				<?php while( have_posts() ): the_post(); ?>
					<div <?php post_class('post clearfix') ?> id="post-<?php the_ID(); ?>">

<div class="post-headline"><h2><?php the_title(); ?></h2></div>


<div class="post-bodycopy clearfix">
<?php the_content("Continue reading " . the_title('', '', false)); ?>
<?php wp_link_pages('before=<p>&after=</p>&next_or_number=number&pagelink=page %'); ?>
</div>

</div>

				<?php endwhile; ?>
				<?php if( is_page() OR is_single() ) comments_template(); ?>
			<?php else : ?>
				<h2 class="content">Not Found</h2>
				<p class="content">Nothing found, sorry!</p>
				<?php get_search_form(); ?>
			<?php endif; ?>
			
		

</div>
<div id="sideleft" class="pull7 col3">
<?php dynamic_sidebar('sideleft'); ?>

</div>
<div id="sideright" class="col2">
<?php dynamic_sidebar('sideright'); ?>

</div>

</div>

</div>
<div id="footer-bg">

		<div id="footer" class="lw">
			<div id="w-area-4" class="row">

	<div class="w-area-4-col col3">
		<?php dynamic_sidebar('grid-wa-4-col1'); ?>
	</div>
	
	<div class="w-area-4-col col3">
		<?php dynamic_sidebar('grid-wa-4-col2'); ?>
	</div>
	
	<div class="w-area-4-col col3">
		<?php dynamic_sidebar('grid-wa-4-col3'); ?>
	</div>

	<div class="w-area-4-col col3">
		<?php dynamic_sidebar('grid-wa-4-col4'); ?>
	</div>
	
</div><div id="div-footer">Copyright &copy; 2018 <a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a> | Website by <a href="http://www.redbackgraphics.com.au/" target="_blank" title="Website by Redback Graphics">Redback Graphics</a></div>
		</div>
		
</div>
<?php wp_footer(); ?>

</body></html>